#
# 2014.10.6 jdwang@asia.edu.tw
#
# usage : perl PubMed_InfoExtration_3_PMID.pl

use strict;

my $input_FileName = "./SrcData/pubmed_result_PMID_25276143.xml";

open (input_filehandle, $input_FileName) or die "can't open $input_FileName";

my $ArticeTitle = "";
my $PMID = "";

while (my $Line = <input_filehandle>) {
	#print "$Line";
	#<ArticleTitle>Fulminant Wilson's Disease Managed with Plasmapheresis as a Bridge to Liver Transplant.</ArticleTitle>
	
	if ($Line =~ /<ArticleTitle>/) {
		($ArticeTitle) = $Line =~ /<ArticleTitle>(.+)<\/ArticleTitle>/;
	}
	
	#<PMID Version="1">25276143</PMID> 
	my $Version = "";
	if ($Line =~ /<PMID Version=/) {
		($Version,$PMID) = $Line =~ /<PMID Version=\"(\d+)\">(\d+)<\/PMID>/;
	}	
}

print "ArticeTitle=>$ArticeTitle\n";
print "PMID=>$PMID\n";

